Skip to main content
Get Job Profile Data
curl --request GET \
  --url https://{tenant_name}.{region}.techwolf.ai/job_architecture/jobs/{job_external_id}/profile_data/{job_profile_data_external_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{tenant_name}.{region}.techwolf.ai/job_architecture/jobs/{job_external_id}/profile_data/{job_profile_data_external_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{tenant_name}.{region}.techwolf.ai/job_architecture/jobs/{job_external_id}/profile_data/{job_profile_data_external_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "external_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
  "data_type": "job_description",
  "timestamp": "2025-05-02",
  "source": "Workday",
  "data": {
    "job_description": "Backend developers have experience in writing code for the backend of a web application. They are responsible for the server-side logic of a web application."
  }
}
[
  {
    "title": "401 Unauthorized",
    "description": "OAuth access token is missing, invalid or expired."
  }
]
[
  {
    "title": "403 Forbidden",
    "description": "You don't have access to this resource."
  }
]
[
  {
    "title": "404 Not Found",
    "description": "Unknown external_id describing this resource. Please create this resource first."
  }
]
[
  {
    "title": "405 Method Not Allowed",
    "description": "This method is not allowed for the requested URL."
  }
]
"max connections reached: <limit>"
[
  {
    "title": "503 Service Unavailable",
    "description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
  }
]

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

job_external_id
string<uuid>
required

Unique ID linked to a Job, consisting of alphanumeric characters, hyphens and underscores. The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.

Required string length: 1 - 100
Pattern: [a-zA-Z0-9_-]+
Example:

"a3903505-eb84-42dc-a79f-5e7b1fe897b7"

job_profile_data_external_id
string<uuid>
required

Unique ID linked to a Job Profile Data, consisting of alphanumeric characters, hyphens and underscores. The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.

Required string length: 1 - 100
Pattern: [a-zA-Z0-9_-]+
Example:

"a3903505-eb84-42dc-a79f-5e7b1fe897b7"

Response

OK

Default structure for Job Profile Data.

external_id
string<uuid>
required

The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.

Required string length: 1 - 100
Pattern: [a-zA-Z0-9_-]+
Example:

"a3903505-eb84-42dc-a79f-5e7b1fe897b7"

data_type
enum<string>
required

Type of the Job Profile Data.

Available options:
job_description,
job_title,
vacancy,
skill_notes,
skill_profile_feedback
Example:

"job_description"

timestamp
required

The completion date (in IS08601 format) of the Skill Event. From this point on, the Job Profile is considered to have the Skills of this Event.

Example:

"2025-05-02"

source
string
required

The source of the Job Profile Data.

Required string length: 1 - 255
Example:

"Workday"

data
job_description_content · object
required

The content of the Job Profile Data. The content should align with the data_type.